#!/usr/bin/perl

use strict;
use Test::More;

my $nbtest;

use_ok('FDN::Common::Sign');
BEGIN { $nbtest += 1; }

my $res;
$res = sign_hex("Un message trs long  valider par une signature","toto");
is ( $res, '3462ba6fa1df359468f2e21fae750c8b952da7d3', 'sign_hex' );
$res = sign_hex("Un message trs long  valider par une signature","toto ");
is ( $res, 'bd2aabbf738c7cc2059ec97bb3a5bebc709a195c', 'sign_hex' );
$res = sign_hex("Un message trs long  valider par une signature","");
is ( $res, '1fa220140eca4aec330bdbc19020772d41c89acf', 'sign_hex' );
$res = sign_hex("Un message trs long  valider par une signature"," ");
is ( $res, '14a0570f3bf823cb49757de05ada8b6c8ce11635', 'sign_hex' );
BEGIN { $nbtest += 4; }

$res = sign_hex("","toto" );
is ( $res, '0095758f394b1fef55107dc1c8583ed9de039843', 'sign_hex' );
$res = sign_hex(" ","toto");
is ( $res, '064ebd0032dead759c8c70eae33dde8f300ed24b', 'sign_hex' );
$res = sign_hex("","");
is ( $res, 'fbdb1d1b18aa6c08324b7d64b71fb76370690e1d', 'sign_hex' );
BEGIN { $nbtest += 3; }


$res = sign_b64("Un message trs long  valider par une signature","toto");
is ( $res, 'NGK6b6HfNZRo8uIfrnUMi5Utp9M=', 'sign_b64' );
$res = sign_b64("Un message trs long  valider par une signature","toto ");
is ( $res, 'vSqrv3OMfMIFnsl7s6W+vHCaGVw=', 'sign_b64' );
$res = sign_b64("Un message trs long  valider par une signature","");
is ( $res, 'H6IgFA7KSuwzC9vBkCB3LUHIms8=', 'sign_b64' );
$res = sign_b64("Un message trs long  valider par une signature"," ");
is ( $res, 'FKBXDzv4I8tJdX3gWtqLbIzhFjU=', 'sign_b64' );
BEGIN { $nbtest += 4; }

$res = sign_b64("","toto" );
is ( $res, 'AJV1jzlLH+9VEH3ByFg+2d4DmEM=', 'sign_b64' );
$res = sign_b64(" ","toto");
is ( $res, 'Bk69ADLerXWcjHDq4z3ejzAO0ks=', 'sign_b64' );
$res = sign_b64("","");
is ( $res, '+9sdGxiqbAgyS31ktx+3Y3BpDh0=', 'sign_b64' );
BEGIN { $nbtest += 3; }


BEGIN { plan tests => $nbtest; }
